require("dotenv").config();
const { EmbedBuilder } = require('discord.js');
const mongoose = require('mongoose');
const wolfcount = require('../../models/wolfcount');

const uri = `mongodb+srv://${process.env.MONGODBUSER}:${process.env.MONGODBPASS}@${process.env.MONGODBCLUSTER}/${process.env.DATABASE}?retryWrites=true&w=majority`

mongoose.connect(uri, {
    useNewUrlParser: true,
    useUnifiedTopology: true
  }).then(() => {
    console.log('');
    console.log(`Connected to the database`);
  }).catch((error) => {
    console.log(`Failed to connect to the database`);
    console.log(error);
  });

// setInterval(function() {
//     // Find a document by validation
//     wolfcount.findOne({ validation: 'wolfcount' }).then((countdocument) => {
//         console.log('');
//         //console.log(countdocument);
//         console.log(`Refreshed count`)
//         count = countdocument.count

//         console.log('');
//     }).catch((error) => {
//         console.error(error);
//     });
// }, 30000);


module.exports = {
    name: "wolfcount",
    private: false,
    description: "Returns the amount of times the letters wolf were said by users (state refreshes every 2 minutes).",
  
    run: async (client, interaction) => {

        const embed = new EmbedBuilder()
            .setColor("#03FC20")
            .setTitle("🐺 count")
            .setDescription(`[I have counted ${basecount} wolf messages](https://wolfcount.skywolfteam.nl/)`)
            .setTimestamp()
            .setFooter({ text: `Requested by ${interaction.user.tag}`, iconURL: `${interaction.user.displayAvatarURL()}` });
        interaction.followUp({ embeds: [embed] });
    },
};